Subject: Re: [PATCH 00/11] completion: general cleanups

From: Manlio Perillo <[email-masked]>
Date: Sat, 27 Apr 2013 22:13:15 +0200

Il 27/04/2013 21:15, Felipe Contreras ha scritto:
> [...]
>>> @@ -480,7 +481,7 @@ __git_complete_revlist_file ()
>>>  # The exception is --committable, which finds the files appropriate commit.
>>>  __git_complete_index_file ()
>>>  {
>>> -       local pfx="" cur_="$cur"
>>> +       local pfx="" cur_="$cur" old
>>>
>>>         case "$cur_" in
>>>         ?*/*)
>>> @@ -490,7 +491,8 @@ __git_complete_index_file ()
>>>                 ;;
>>>         esac
>>>
>>> -       __gitcomp_nl "$(__git_index_files "$1" "$pfx")" "$pfx" "$cur_" ""
>>> +       compopt -o filenames +o nospace 2> /dev/null || old=1
>>> +       __gitcomp_nl "$(__git_index_files "$1" "$pfx" "$old")" "$pfx" "$cur_" ""
>>>  }
>>>
>>>  __git_complete_file ()
>>>
>>
>> I like the idea (but I have not tested it), however compopt is called
>> two times, for each completion.
> 
> Why two times?

Ah, right; sorry.
I missed the fact that you are using __gitcomp_nl instead of my
__gitcomp_file.

> 
>> Maybe we can test for `-o filenames` support when script is loaded,
>> where currently there is a Bash version check, and set a global variable?
> 
> Yeah, that's the way bash-completion used to do it. But I wonder if we
> should be worrying about this at this point, even bash-completion
> dropped support for bash < 4 more than two years ago, and even debian
> stable is at 4.1.
> 

I'm +0.

> [...]

Regards  Manlio